HOSTNAME(1)

NOM
hostname — Afficher ou définir le nom d'hôte du système
domainname — Afficher ou définir le nom de domaine NIS/YP du système
ypdomainname — Afficher ou définir le nom de domaine NIS/YP du système
nisdomainname — Afficher ou définir le nom de domaine NIS/YP du système
dnsdomainname — Afficher le nom de domaine DNS du système

SYNOPSIS
hostname [-a|--alias] [-d|--domain] [-f|--fqdn|--long] [-A|--all-fqdns] [-i|--ip-address] [-I|--all-ip-addresses] [-s|--short] [-y|--yp|--nis]
hostname [-b|--boot] [-F|--file nom_fichier] [nom_hôte]
hostname [-h|--help] [-V|--version]

domainname [nisdomain] [-F fichier]
ypdomainname [nisdomain] [-F fichier]
nisdomainname [nisdomain] [-F fichier]

dnsdomainname

DESCRIPTION
hostname permet d’afficher le nom DNS du système et d’afficher ou définir son nom d’hôte ou son nom de domaine NIS.

  AFFICHER LE NOM
Appelé sans argument, le programme affiche les noms actuels :

hostname affiche le nom du système tel qu’il est renvoyé par la fonction gethostname(2).

domainname affiche le nom de domaine NIS du système. domainname utilise la fonction gethostname(2), alors que ypdomainname et nisdomainname utilisent la fonction getdomainname(2).

dnsdomainname affiche la partie domaine du FQDN (Fully Qualified Domain Name ou Nom de Domaine Entièrement Qualifié). hostname --fqdn affiche le FQDN complet du système (voir cependant les avertissements dans la section LE FQDN ci-après).

  DÉFINIR LE NOM
Appelées avec un seul argument ou avec l’option --file, les commandes permettent de définir le nom d’hôte ou le nom de domaine NIS/YP. hostname utilise la fonction sethostname(2), alors que domainname, ypdomainname et nisdomainname utilisent setdomainname(2). Notez que les changements ne sont effectifs que jusqu’au prochain redémarrage. Vous devez éditer /etc/hostname pour rendre les changements permanents.

Notez que seul le superutilisateur peut changer les noms.

Il n’est pas possible de définir le FQDN ou le nom de domaine DNS avec la commande dnsdomainname (voir la section LE FQDN ci-après).

En général, le nom d’hôte est défini une seule fois au démarrage du système dans /etc/init.d/hostname.sh (normalement en lisant le contenu d’un fichier qui contient le nom d’hôte, par exemple /etc/hostname).

  LE FQDN
Le FQDN (Fully Qualified Domain Name ou Nom de Domaine Entièrement Qualifié) du système est le nom d’hôte que renvoie le resolver(3), par exemple ursula.example.com. Il s’agit en général du nom d’hôte suivi du nom de domaine DNS (la partie située après le premier point). Vous pouvez afficher le FQDN à l’aide de la commande hostname --fqdn ou le nom domaine à l’aide de la commande dnsdomainname.

Vous ne pouvez pas changer le domaine avec hostname ou dnsdomainname.

La méthode recommandée pour définir le FQDN consiste à faire en sorte que le nom d’hôte soit un alias pour le FQDN en utilisant /etc/hosts, DNS ou NIS. Par exemple, si le nom d’hôte est « ursula », vous pouvez ajouter à /etc/hosts la ligne

    127.0.1.1 ursula.example.com ursula

Techniquement, le FQDN correspond au nom que renvoie getaddrinfo(3) pour le nom d’hôte renvoyé par gethostname(2). Le nom de domaine DNS correspond à la partie située après le premier point.

La méthode permettant de le changer dépend donc de la configuration du résolveur (en général dans /etc/host.conf). Normalement, le fichier hosts est exploité avant DNS ou NIS, et le changement de FQDN s’effectue donc le plus souvent dans /etc/hosts.

Si une machine a plusieurs interfaces/adresses réseau ou est utilisée dans un environnement mobile, elle pourra posséder plusieurs noms de domaine/FQDN ou pas de nom du tout. Évitez donc dans ce cas d’utiliser hostname --fqdn, hostname --domain et dnsdomainname. hostname --ip-address étant sujette aux mêmes limitations, elle doit aussi être évitée.

OPTIONS

-a, --alias
    Afficher le nom d’alias de l’hôte (s’il existe). Cette option est obsolète et ne doit plus être utilisée.

-A, --all-fqdns
    Afficher tous les FQDN de la machine. Cette option énumère toutes les adresses réseau configurées sur toutes les interfaces réseau configurées et les traduit en noms de domaine DNS. Les adresses qui ne peuvent pas être traduites (probablement parce qu’elles n’ont pas d’entrée de résolution inverse IP appropriée) sont omises. Notez que différentes adresses peuvent être résolues en un même nom, si bien que la sortie peut comporter des entrées dupliquées. Ne faites aucune déduction à propos de l’ordre de la sortie.

-b, --boot
    Toujours définir un nom d’hôte ; avec cette option, si le fichier spécifié à l’aide de l’option -F est vide ou n’existe pas, c’est le nom d’hôte par défaut localhost qui sera utilisé s’il n’est pas déjà défini.

-d, --domain
    Afficher le nom du domaine DNS. Pour afficher le nom de domaine DNS, vous pouvez aussi utiliser la commande dnsdomainname, mais pas la commande domainname, car cette dernière affiche le nom de domaine NIS. Voir les avertissements dans la section LE FQDN ci-avant et évitez d’utiliser cette option.

-f, --fqdn, --long
    Afficher le FQDN (Fully Qualified Domain Name ou Nom de Domaine Entièrement Qualifié). Un FQDN comporte un nom d’hôte court suivi du nom de domaine DNS. Si vous n’utilisez pas bind ou NIS pour la recherche d’hôte, vous pouvez changer le FQDN et le nom de domaine DNS (qui fait partie du FQDN) dans le fichier /etc/hosts. Voir les avertissements dans la section LE FQDN ci-avant et utilisez plutôt la commande hostname --all-fqdns dans la mesure du possible.

-F, --file nom_fichier
    Lire le nom d’hôte dans le fichier spécifié. Les commentaires (lignes commençant par un « # ») sont ignorés.

-i, --ip-address
    Afficher la ou les adresse(s) réseau associée(s) au nom d’hôte. Notez que cette option ne fonctionne que si le nom d’hôte peut être résolu. Évitez d’utiliser cette option ; utilisez plutôt la commande hostname --all-ip-addresses.

-I, --all-ip-addresses
    Afficher toutes les adresses réseau de l’hôte. Cette option énumère toutes les adresses configurées sur toutes les interfaces réseau. L’interface loopback et les adresses IPv6 de réseau local (IPv6 link-local addresses) sont omises. À la différence de l’option -i, cette option n’est pas assujettie à la résolution de nom. Ne faites aucune déduction à propos de l’ordre de la sortie.

-s, --short
    Afficher le nom d’hôte court. Il s’agit du nom d’hôte coupé à partir du premier point.

-V, --version
    Afficher les informations de version sur la sortie standard et quitter avec succès.

-y, --yp, --nis
    Afficher le nom de domaine NIS. Si un paramètre est fourni (ou --file nom), le superutilisateur peut aussi définir un nouveau domaine NIS.

-h, --help
    Afficher un mode d’emploi et quitter.

NOTES
Les familles d’adresses que hostname teste lorsqu’il cherche le FQDN, les alias et les adresses réseau de l’hôte sont déterminées par la configuration de votre résolveur. Sur les systèmes GNU libc par exemple, le résolveur peut être configuré pour essayer de trouver en premier les adresses IPv6 en utilisant l’option inet6 dans le fichier /etc/resolv.conf.

FICHIERS
/etc/hostname Historiquement, ce fichier était censé ne contenir que le nom d’hôte et non le FQDN complet canonique. Actuellement, la plupart des logiciels sont capables de gérer la présence d’un FQDN complet dans ce fichier. Ce dernier est lu à l’amorçage par les scripts d’initialisation du système pour définir le nom d’hôte.

/etc/hosts En général, c’est dans ce fichier que l’on définit le nom de domaine en faisant du nom d’hôte un alias du FQDN.

AUTEURS
Peter Tobias, <tobias@et-inf.fho-emden.de>
Bernd Eckenfels, <net-tools@lina.inka.de> (NIS et page du manuel).
Michael Meskes, <meskes@debian.org>

TRADUCTION
La traduction française de cette page de manuel a été créée par Lucien Gentis <lucien.gentis@univ-lorraine.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.